

.configurator-container {
    margin-bottom: 1rem;
}

.configurator-container h1,
.configurator-container h2 {
    font-family: 'stolzl', 'Open Sans', sans-serif;
    font-weight: bold;
}

.configurator-container .configurator-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-auto-rows: 112px;
    gap: 16px;
}

@media (min-width: 600px) {
    .configurator-container .configurator-grid {
        grid-template-columns: repeat(4, 1fr);
    }
}

@media (min-width: 1000px) {
    .configurator-container {
        margin-bottom: 2rem;
    }
    .configurator-container .configurator-grid.configurator-grid-8 {
        grid-template-columns: repeat(8, 1fr);
    }
    .configurator-container .configurator-grid.configurator-grid-7 {
        grid-template-columns: repeat(7, 1fr);
    }
    .configurator-container .configurator-grid {
        grid-template-columns: repeat(6, 1fr);
    }
    .configurator-container .configurator-grid.configurator-grid-5 {
        grid-template-columns: repeat(5, 1fr);
    }
    .configurator-container .configurator-grid.configurator-grid-4 {
        grid-template-columns: repeat(4, 1fr);
    }
    .configurator-container .configurator-grid.configurator-grid-3 {
        grid-template-columns: repeat(3, 1fr);
    }
    .configurator-container .configurator-grid.configurator-grid-2 {
        grid-template-columns: repeat(2, 1fr);
    }
    .configurator-container .configurator-grid.configurator-grid-1 {
        grid-template-columns: 1fr;
    }
}

.configurator-container .configurator-grid .configurator-grid-item {
    position: relative;
    display: flex;
    flex-direction: column;
    padding: 16px 16px 0;
    gap: 16px;
    border-radius: 4px;
    background-color: white;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
    border: 1px solid rgba(0, 0, 0, 0.1);
    overflow: hidden;
    user-select: none;
}

.configurator-container .configurator-grid .configurator-grid-item.configurator-grid-item-small-icon {
    gap: 8px;
    padding: 16px;
}

.configurator-container .configurator-grid .configurator-grid-item .configurator-grid-item-header {
    font-size: 16px;
    font-weight: bold;
}

.configurator-container .configurator-grid .configurator-grid-item .configurator-grid-item-header .configurator-item-title {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.configurator-container .configurator-grid .configurator-grid-item.configurator-grid-item-small-icon .configurator-grid-item-header {
    font-size: 14px;
}

.configurator-container .configurator-grid .configurator-grid-item .configurator-grid-item-content {
    display: grid;
    gap: 16px;
    flex: 1;
    min-height: 0;
}

.configurator-container .configurator-grid .configurator-grid-item .configurator-grid-item-content.configurator-grid-item-content-orientation-vertical {
    grid-template-rows: 1fr auto;
}

.configurator-container .configurator-grid .configurator-grid-item .configurator-grid-item-content.configurator-grid-item-content-orientation-horizontal {
    grid-template-columns: 50% auto;
}

.configurator-container .configurator-grid .configurator-grid-item.configurator-grid-item-small-icon .configurator-grid-item-content.configurator-grid-item-content-orientation-horizontal {
    grid-template-columns: 128px auto;
}

.configurator-container .configurator-grid .configurator-grid-item .configurator-grid-item-content .configurator-grid-item-image {
    min-height: 0;
}

.configurator-container .configurator-grid .configurator-grid-item .configurator-grid-item-content .configurator-grid-item-image img {
    width: 85%;
    height: 85%;
    object-fit: contain;
}

.configurator-container .configurator-grid .configurator-grid-item .configurator-grid-item-content .configurator-grid-item-image-no-bottom-padding {
    display: flex;
    align-items: end;
}

.configurator-container .configurator-grid .configurator-grid-item .configurator-grid-item-content .configurator-grid-item-image-no-bottom-padding img {
    max-height: 100%;
    height: inherit;
}

.configurator-container .configurator-grid .configurator-grid-item .configurator-grid-item-content .configurator-grid-item-description {
    font-size: 12px;
    margin-bottom: 24px;
}

.configurator-container .configurator-grid .configurator-grid-item.configurator-grid-item-small-icon .configurator-grid-item-content .configurator-grid-item-description {
    margin-bottom: 0;
}

.configurator-container .configurator-grid .configurator-grid-item .configurator-grid-item-content.configurator-grid-item-content-orientation-vertical .configurator-grid-item-description {
    padding-right: 128px;
}

.configurator-container .configurator-grid .configurator-grid-item .configurator-grid-item-content.configurator-grid-item-content-orientation-horizontal .configurator-grid-item-description {
    align-self: center;
}

.configurator-container .configurator-grid .configurator-grid-item .configurator-grid-item-content .configurator-grid-item-add-button {
    position: absolute;
    right: 16px;
    font-size: 32px;
    line-height: 16px;
    bottom: 16px;
    color: #e94e1b;
    text-decoration: none;
}

.configurator-container .configurator-grid .configurator-grid-item .configurator-grid-item-content .configurator-grid-item-add-button.configurator-grid-item-add-button-text {
    font-size: 16px;
    bottom: 24px;
}

.configurator-grid-item-column-span-2 { grid-column: span 2; }
.configurator-grid-item-column-span-3 { grid-column: span 2; }
.configurator-grid-item-column-span-4 { grid-column: span 2; }
.configurator-grid-item-column-span-5 { grid-column: span 2; }
.configurator-grid-item-column-span-6 { grid-column: span 2; }
.configurator-grid-item-column-span-7 { grid-column: span 2; }
.configurator-grid-item-column-span-8 { grid-column: span 2; }
.configurator-grid-item-column-span-9 { grid-column: span 2; }
.configurator-grid-item-column-span-10 { grid-column: span 2; }

@media (min-width: 600px) {
    .configurator-grid-item-column-span-2 { grid-column: span 2; }
    .configurator-grid-item-column-span-3 { grid-column: span 3; }
    .configurator-grid-item-column-span-4 { grid-column: span 4; }
    .configurator-grid-item-column-span-5 { grid-column: span 4; }
    .configurator-grid-item-column-span-6 { grid-column: span 4; }
    .configurator-grid-item-column-span-7 { grid-column: span 4; }
    .configurator-grid-item-column-span-8 { grid-column: span 4; }
    .configurator-grid-item-column-span-9 { grid-column: span 4; }
    .configurator-grid-item-column-span-10 { grid-column: span 4; }
}

@media (min-width: 1000px) {
    .configurator-grid-item-column-span-2 { grid-column: span 2; }
    .configurator-grid-item-column-span-3 { grid-column: span 3; }
    .configurator-grid-item-column-span-4 { grid-column: span 4; }
    .configurator-grid-item-column-span-5 { grid-column: span 5; }
    .configurator-grid-item-column-span-6 { grid-column: span 6; }
    .configurator-grid-item-column-span-7 { grid-column: span 7; }
    .configurator-grid-item-column-span-8 { grid-column: span 8; }
    .configurator-grid-item-column-span-9 { grid-column: span 9; }
    .configurator-grid-item-column-span-10 { grid-column: span 10; }
}